﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.Core;

namespace Shapefile_Not_Updting
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        LayerOverlay lo;

        public MainWindow()
        {
            InitializeComponent();
        }

        private void mapView_Loaded(object sender, RoutedEventArgs e)
        {
            ShapeFileFeatureLayer l = new ShapeFileFeatureLayer(@".\data\original-shapefile\lines.shp");
            ShapeFileFeatureLayer.BuildIndexFile(@".\data\original-shapefile\lines.shp");
            l.ZoomLevelSet.ZoomLevel01.DefaultLineStyle = LineStyle.CreateSimpleLineStyle(GeoColors.Red, 2, true);
            l.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            l.FeatureSource.ProjectionConverter = new ProjectionConverter(4326, 3857);

            lo = new LayerOverlay();
            lo.Layers.Add(l);

            l.Open();
            mapView.Overlays.Add(lo);
            mapView.CurrentExtent = l.GetBoundingBox();
            l.Close();
            mapView.Refresh();
        }
    }
}
